<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateFacturas extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('facturas')
			->addColumn('venta_id', 'integer', ['length' => 10, 'signed' => false])
            ->addColumn('index', 'integer', ['signed' => false])
            ->addColumn('proporcion', 'double', ['signed' => false]) // %
            ->addColumn('cliente_rut', 'integer', ['length' => 10, 'signed' => false])
			->addForeignKey('venta_id', 'venta', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
            ->addForeignKey('cliente_rut', 'personas', 'rut', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
